Skip to content

Looks up a social profile and returns what is found to the user

Request

This method will make a call and parse/return the results

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

domainstringrequired

The domain to look up

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/socialProfile/{domain}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The social profile was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
biostring(Bio)

Bio/Notes

categorystring(Category)

Category

detailsobject(Details)
employeesnumber, (float)(Employees)

Number of employees

facebookstring(Facebook)

Facebook url

foundednumber, (float)(Founded)

Year founded

linkedinstring(Linkedin)

Linked in Profile

localestring(Locale)

Organization locale

locationstring(Location)

Location of the organization

namestring(Name)

Name of the organization

twitterstring(Twitter)

Twitter handle

Response
{ "bio": "string", "category": "string", "details": { "locations": [ … ], "phones": [ … ] }, "employees": 0.1, "facebook": "string", "founded": 0.1, "linkedin": "string", "locale": "string", "location": "string", "logo": "string", "name": "string", "twitter": "string" }